Skip to main content
GET
Get the exchange accounts for a given dynamic user

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

exchangeKey
enum<string>
required

Exchange identifier Source exchange identifier

Available options:
coinbase,
kraken

Query Parameters

networkId
number
chainName
enum<string>
Available options:
ETH,
EVM,
FLOW,
SOL,
ALGO,
STARK,
COSMOS,
BTC,
ECLIPSE,
SUI,
SPARK,
TRON,
APTOS,
TON,
STELLAR

Response

Successful response

id
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

exchange
enum<string>
required

Source exchange identifier

Available options:
coinbase,
kraken
balances
object[]
required
type
string

Account type as reported by the exchange

Example:

"wallet"

name
string

Human-friendly label if supplied by the exchange.

chain
string

Blockchain network if relevant

Example:

"ethereum"

Last modified on January 21, 2026